# ee-rbd-snapshot

Scripts de création et nettoyage de snapshots RBD.

## Prérequis
 
 * Les volumes rbd doivent avoir les features exclusive-lock,object-map et fast-diff
 * La liste des hyperviseurs du cluster doit être présente dans un fichier /etc/etc/eehyp-tools.conf qui définit la variable HYPS qui contient la liste des noms des hyperviseurs séparés par des espaces (exemple : HYPS="osd-01 osd-02 osd-03 hyp-01 hyp-02 hyp-03")

## installation

Make install: place les fichiers où il faut

Spécifier la VIP dans un fichier de configuration (cf Configuration)

## Configuration

Les variables de configuration sont les suivantes :

    HYP : la liste des hyperviseurs
    RETENTION : le nombre de snapshots à conserver pour chaque VM
    RETENTION_EXTENDED : liste des machines pour lesquelles on a une rétention plus longue
    VM_EXCEPTION : les noms des machines virtuelles dont le snapshot n'est pas nécessaire
    VM_FREEZE : les noms des machines qui supportent le domfsfreeze/domfsthaw
    VENDREDI : les noms des machines réservés pour le vendredi
    VIP: vip de la machine maître
    
Les valeurs par défaut sont contenues dans le fichier /etc/ee-rbd-snapshot/ee-rbd-snapshot.conf.
Pour modifier ces valeurs, éditer un fichier (se terminant par .conf) dans /etc/ee-rbd-snapshot/conf.d/.

Les dates de création et de suppression de snapshot sont à configurer directement
dans le cron d'exécution des scripts : /etc/cron.d/ee-rbd-snapshot.

## Execution

Il faut créer des tâches cron pour que les scripts soient exécutés. Par exemple, vous pouvez créer un fichier /etc/cron.d/ee-rbd-snapshot avec le contenu suivant:

```
00 21 * * 1-5 root /usr/sbin/ee-rbd-snapshot-all-hyp 
00 22 * * 1-5 root /usr/sbin/ee-rbd-snapshot-cleanup ALL
```


## Logs

Les logs de création et de suppression de snapshots sont créés dans /var/log/snapshot/


## Supervision

Le script check_snapshot permet de savoir si les snapshots sont opérationnels.

